<?php
/**
 * Created by JetBrains PhpStorm.
 * User: geovanesantos
 * Date: 26/05/14
 * Time: 16:06
 * To change this template use File | Settings | File Templates.
 */

namespace Scheduler\Util;


class ProcedureParameterFunctions {

    public static function makeParameterString($procedureName){

        $paramArray=self::getProcedureParameters($procedureName);
        $toDisplay="";
        //$contextArray=Array();
        foreach($paramArray as $parameter){

            $parameterName=$parameter['PARAMETER_NAME'];

            switch($parameter['PARAMETER_TYPE']){
                case '6': $parameterType='Data'; break;
                case '1': $parameterType='Número'; break;
                default: $parameterType='Texto'; break;
            }

            $isObligatory=$parameter['PARAMETER_DEFAULTED'] ==='S' ? false : true;

            $parameterString=$parameterName."={".$parameterType
                .($isObligatory ? ', OBRIGATÓRIO':"")."}\n"; //<$parameter-name>={<$parameter-type>, <t=>OBLIGATORY,<f=>}

            $toDisplay.=$parameterString;
            //$contextArray[$parameterName]=$parameter['PARAMETER_TYPE'];
        }
        //tk_set_env_var("CURRENT_PROCEDURE_PARAMS", $contextArray);
        $toDisplay=substr($toDisplay,0,-1);
        if(!$toDisplay) $toDisplay="";
        return $toDisplay;
    }

    public static function getProcedureParamsAsArray($procedureName){

        $paramArray=self::getProcedureParameters($procedureName);
        $contextArray=Array();
        foreach ($paramArray as $parameter) {

            $parameterName=$parameter['PARAMETER_NAME'];
            $contextArray[$parameterName] = $parameter['PARAMETER_TYPE'];
        }
        return $contextArray;
    }

    public static function getProcedureParameters($procedureName){
        $fieldSelect="SELECT PARAMETER_NAME, PARAMETER_INOUT, PARAMETER_TYPE, PARAMETER_DEFAULTED FROM TKU_PROCEDURE_PARAM WHERE
PROCEDURE_NAME=:P_PROCEDURE_NAME AND (NRORG=1 OR NRORG=:P_NRORG) AND PARAMETER_INOUT IN ('I', 'IO') ORDER BY PARAMETER_POSITION ASC";

        $db=\Setforms2\Runtime\Connection::getInstance();
        $queryParams["P_PROCEDURE_NAME"]=$procedureName;
        $queryParams["P_NRORG"]=\Geral\Util\Ambiente::getNrorgTrabalho();
        $paramArray=$db->fetchAll($fieldSelect,$queryParams);
        return $paramArray;
    }



    /* old

    public static function makeParameterString($procedureName){
    //        $fieldSelect="SELECT DISTINCT P.NMPARAMEVEN, P.IDDADPARAMEVEN, P.IDPARAMNULL
    //FROM PARAMEVENTO P INNER JOIN EVENTOAEV E ON E.CDEVENTOAEV=P.CDEVENTOAEV
    //WHERE E.NMOBJBDEVEN=:P_NOME";

            $fieldSelect="SELECT PARAMETER_NAME, PARAMETER_INOUT, PARAMETER_TYPE, PARAMETER_DEFAULTED FROM TKU_PROCEDURE_PARAM WHERE
    PROCEDURE_NAME=:P_PROCEDURE_NAME AND (NRORG=1 OR NRORG=:P_NRORG) AND PARAMETER_INOUT IN ('I', 'IO') ORDER BY PARAMETER_POSITION ASC";

            $db=\Setforms2\Runtime\Connection::getInstance();
            $queryParams["P_PROCEDURE_NAME"]=$procedureName;
            $queryParams["P_NRORG"]=\Geral\Util\Ambiente::getNrorgTrabalho();
            $paramArray=$db->fetchAll($fieldSelect,$queryParams);
            $toDisplay="";
            $contextArray=Array();
            foreach($paramArray as $parameter){

                $parameterName=$parameter['PARAMETER_NAME'];

                switch($parameter['PARAMETER_TYPE']){
                    case '6': $parameterType='Data'; break;
                    case '1': $parameterType='Número'; break;
                    default: $parameterType='Texto'; break;
                }

                $isObligatory=$parameter['PARAMETER_DEFAULTED'] ==='S' ? false : true;

                $parameterString=$parameterName."={".$parameterType
                    .($isObligatory ? ', OBRIGATÓRIO':"")."}\n"; //<$parameter-name>={<$parameter-type>, <t=>OBLIGATORY,<f=>}

                $toDisplay.=$parameterString;
                $contextArray[$parameterName]=$parameter['PARAMETER_TYPE'];
            }
            tk_set_env_var("CURRENT_PROCEDURE_PARAMS", $contextArray);
            $toDisplay=substr($toDisplay,0,-1);
            if(!$toDisplay) $toDisplay="";
            return $toDisplay;
        }
    }
    */
}