/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_REGIAOMUNI                                               */
/* Tabela : REGIAOMUNI                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 26/10/2011 - Marcos Vinicius de S Araujo                                  */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_REGIAOMUNI'  and
            type = 'TR'                     and
            u.uid = o.uid                   and
            u.name = USER)
   DROP TRIGGER DTULTATU_REGIAOMUNI
GO

CREATE TRIGGER DTULTATU_REGIAOMUNI
ON REGIAOMUNI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'REGIAOMUNI', null, 'CDREGIAOMUNI=' + CDREGIAOMUNI + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE REGIAOMUNI
      SET DTULTATU = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(REGIAOMUNI.CDPAIS,0)       = ISNULL(INSERTED.CDPAIS,0))       AND
            (ISNULL(REGIAOMUNI.SGESTADO,0)     = ISNULL(INSERTED.SGESTADO,0))     AND
            (ISNULL(REGIAOMUNI.CDMUNICIPIO,0)  = ISNULL(INSERTED.CDMUNICIPIO,0))  AND
            (ISNULL(REGIAOMUNI.CDREGIAOMUNI,0) = ISNULL(INSERTED.CDREGIAOMUNI,0)) AND
            (ISNULL(REGIAOMUNI.NMREGIAOMUNI,0) = ISNULL(INSERTED.NMREGIAOMUNI,0));
   END;
END;
GO
