function banco() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	const self = this;

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Banco']);
	};

	this.setDadosAbaBanco = (nome, mascaraAgencia, mascaraConta, codigoCompen, bancoConv, diasProrro) => {
		geral.fillField('NMBANCO', nome);
		geral.fillField('CDPICTAGEN', mascaraAgencia);
		geral.fillField('CDPICTCONT', mascaraConta);
		geral.fillField('CDBANCCNAB', codigoCompen);
		geral.fillField('CDBANCOCONV', bancoConv);
		geral.fillField('QTDIAPRORCNT', diasProrro);
	};

	this.adicionarBanco = (codigo, nome, mascaraAgencia,
		mascaraConta, codigoCompen, bancoConv, diasProrro) => {
		geral.clickAdicionar();
		geral.fillField('CDBANCO', codigo);
		self.setDadosAbaBanco(nome, mascaraAgencia, mascaraConta, codigoCompen, bancoConv, diasProrro);
		geral.clickSalvar();
		geral.clickOk();
	};

	this.alterarAbaBanco = (nome, mascaraAgencia, mascaraConta, codigoCompen, bancoConv, diasProrro) => {
		geral.clickEditar();
		self.setDadosAbaBanco(nome, mascaraAgencia, mascaraConta, codigoCompen, bancoConv, diasProrro);
		geral.clickSalvar();
		geral.clickOk();
		geral.clickVoltar();
	};

	this.inserirInstrucaoDeCobranca = (codigo, instrucao) => {
		geral.trocarAba('Instruções de Cobrança');
		geral.clickAdicionar();
		geral.fillField('CDINSTCOBR', codigo);
		geral.fillField('NMINSTCOBR', instrucao);
		geral.clickSalvar();
		geral.clickOk();
	};

	this.alterarCNABporEmpresa = (codigoCarteira, valorTipoOpcoes, imprimeBoletoOpcoes,
		instrucaoCobranca1Opcoes, instrucaoCobranca2Opcoes, qtdDiasProtesto1,
		diasProtestoOpcoes, idPagar, idReceber,
		formaCadastramentoOpcoes, tipoBaixaPagar) => {
		geral.fillField('CDCARTCOBR', codigoCarteira);
		geral.selectNative('IDCARTCOBR', valorTipoOpcoes);
		geral.selectNative('IDIMPRBOLETO', imprimeBoletoOpcoes);
		geral.fillField('QTDIAPROTEST', qtdDiasProtesto1);
		geral.selectNative('CDDIAPROTEST', diasProtestoOpcoes);
		geral.fillField('CDEMPBANCPAG', idPagar);
		geral.fillField('CDEMPBANCREC', idReceber);
		geral.selectNative('IDFORMCADBANC', formaCadastramentoOpcoes);
		geral.esperarLoading();
		geral.clickSalvar();
	};

	this.editarDDA = (diretorioImportacao, email) => {
		geral.clickEditar();
		geral.fillField('DSDIRIMPARQDDA', diretorioImportacao);
		geral.fillField('DSEMAILDDA', email);
		geral.clickSalvar();
	};

	this.apagarInstrucoesCobranca = (nome, gridId) => {
		geral.esperarLoading();
		geral.clickGrid('NMINSTCOBR', nome, gridId);
		geral.clickExcluir();
		geral.clickSim();
		geral.esperarLoading();
	};

	this.limpaCamposOpcionaisCNAB = () => {
		geral.limpaCampoPorId('CDCARTCOBR');
		geral.limpaCampoPorId('CDEMPBANCPAG');
		geral.limpaCampoPorId('CDEMPBANCREC');
		geral.limpaCampoPorId('QTDIAPROTEST');
		geral.limpaCampoPorOpcao('IDCARTCOBR');
		geral.limpaCampoPorOpcao('IDIMPRBOLETO');
		geral.limpaCampoPorOpcao('CDDIAPROTEST');
		geral.limpaCampoPorOpcao('IDFORMCADBANC');
		geral.clickSalvar();
		geral.esperarLoading();
	};

	this.editarInstrucoesDeCobranca = (codigo, instrucao, grid) => {
		geral.trocarAba('Instruções de Cobrança');
		geral.clickGrid('CDINSTCOBR', codigo, grid);
		geral.clickEditar();
		geral.fillField('NMINSTCOBR', instrucao);
		geral.clickSalvar();
		geral.clickOk();
	};
}
module.exports = new banco();
