function formaDePagamento() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Forma de Pagamento']);
		geral.esperarLoading();
		geral.clickAplicarFiltro();
	};
	// Override funçao Zeedhi, pois não funciona para 'Forma de Pagamento'

    this.adicionar = (codigoFormaDePagamento, nomeFormaDePagamento, dataReferencia, intervaloDataReferencia,
        considerarDiasUteis, periodo) => {
		geral.clickAndFllField('CDFORMPGTO', codigoFormaDePagamento);
		geral.clickAndFllField('NMFORMPGTO', nomeFormaDePagamento);
		geral.selectNative('IDTIPODTPGTO', dataReferencia);
		geral.selectNative('IDREFECALCPARC', intervaloDataReferencia);
		geral.selectNative('IDCONSDIAUTIL', considerarDiasUteis);
		geral.selectNative('IDTPPERIODO', periodo);
	};
	this.editar = (nomeFormaDePagamento, dataReferencia, intervaloDataReferencia, considerarDiasUteis,
		periodo) => {
		geral.fillField('NMFORMPGTO', nomeFormaDePagamento);
		geral.selectNative('IDTIPODTPGTO', dataReferencia);
        geral.selectNative('IDREFECALCPARC', intervaloDataReferencia);
        geral.selectNative('IDCONSDIAUTIL', considerarDiasUteis);
        geral.selectNative('IDTPPERIODO', periodo);
	};
}
module.exports = new formaDePagamento();
