function tipoDeCreditoBancario() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Tipo de Crédito Bancário']);
		geral.esperarLoading();
		geral.clickAplicarFiltro();
	};
	// Override funçao Zeedhi, pois não funciona para 'Tipo de Crédito Bancário'

    this.adicionar = (codigoTipoDeCredito, descricaoCreditoBancario, historicoIntegracao, contacontabil,
        classificacaoFinanceira, contabilizaLancamento) => {
		geral.clickAndFllField('CDTPCREDBANC', codigoTipoDeCredito);
		geral.clickAndFllField('DSTPCREDBANC', descricaoCreditoBancario);
		geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
		geral.searchAndClickGridField('CDCONTCTBL', contacontabil, 'NMCONTCTBL');
		geral.searchAndClickGridField('DSCLASSFINA', classificacaoFinanceira, 'DSCLASSFINA');
		geral.selectNative('IDCTBLCRBANC', contabilizaLancamento);
	};
	this.editar = (descricaoCreditoBancario, historicoIntegracao, contacontabil, classificacaoFinanceira,
		contabilizaLancamento) => {
		geral.fillField('DSTPCREDBANC', descricaoCreditoBancario);
		geral.clickLimparAutoComplete('DSHISTPADR');
        geral.searchAndClickGridField('DSHISTPADR', historicoIntegracao, 'DSHISTPADR');
        geral.clickLimparAutoComplete('CDCONTCTBL');
        geral.searchAndClickGridField('CDCONTCTBL', contacontabil, 'NMCONTCTBL');
        geral.clickLimparAutoComplete('DSCLASSFINA');
        geral.searchAndClickGridField('DSCLASSFINA', classificacaoFinanceira, 'DSCLASSFINA');
        geral.selectNative('IDCTBLCRBANC', contabilizaLancamento);
	};
}
module.exports = new tipoDeCreditoBancario();
